[jdom-interest] XML 1.1

Elliotte Harold elharo at metalab.unc.edu
Mon Dec 6 10:04:45 PST 2004

kjohnson at spicer.com wrote:

> What are the plans for jdom to support XML 1.1? 
> I just found out that one of our recently released products was 
> "updated" to XML 1.1.  No, there was not a customer need for it, the 
> developer was just trying to stay up to date.  But now we have customers 
> generating documents with <?xml version="1.1" standalone="no"?>.  My 
> product will now have to be updated to handle those files.

Unless your customers have a genuine need for XML 1.1 (Are they in 
Ethiopia, Burma, or Cambodia?) I suggest you politely point out to them 
the section of the XML 1.1 recommendation that recommends XML 1.0 be 
used wherever possible.

Elliotte Rusty Harold  elharo at metalab.unc.edu
XML in a Nutshell 3rd Edition Just Published!

More information about the jdom-interest mailing list